%define _buildid .6

Summary: ACPI Event Daemon
Name: acpid
Version: 1.0.10
Release: 2.1%{?_buildid}%{?dist}
License: GPLv2+
Group: System Environment/Daemons
Source: http://prdownloads.sourceforge.net/acpid/acpid-%{version}.tar.gz
Source1: acpid.init
Source2: acpid.video.conf
Source3: acpid.power.conf
Source4: acpid.power.sh
Patch1: acpid-1.0.8-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: ia64 x86_64 %{ix86}
URL: http://acpid.sourceforge.net/
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service


%description
acpid is a daemon that dispatches ACPI events to user-space programs.


%prep
%setup -q
%patch1 -p1 -b .makefile

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install INSTPREFIX=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/video.conf
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events/power.conf
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/acpi/actions/power.sh

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/acpid


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING README Changelog TODO
%dir %{_sysconfdir}/acpi
%dir %{_sysconfdir}/acpi/events
%dir %{_sysconfdir}/acpi/actions
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/video.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/acpi/events/power.conf
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/acpi/actions/power.sh
%{_bindir}/acpi_listen
%{_sbindir}/acpid
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/acpid
%{_mandir}/man8/acpid.8.gz
%{_mandir}/man8/acpi_listen.8.gz


%post
/sbin/chkconfig --add acpid

%preun
if [ "$1" = "0" ]; then
	/sbin/service acpid stop >/dev/null 2>&1
	/sbin/chkconfig --del acpid
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service acpid condrestart >/dev/null 2>&1
fi

%changelog
* Fri Jul 9 2010 21:35:40 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/acpid-1.0.10-2.1.el6

* Fri May 7 2010 00:37:52 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-9.el5_4.2

* Fri May 7 2010 00:37:52 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-9.el5_4.1

* Fri May 7 2010 00:37:51 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-9.el5

* Fri May 7 2010 00:37:51 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-7.el5_3.1

* Fri May 7 2010 00:37:50 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-7.el5

* Fri May 7 2010 00:37:49 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/acpid-1.0.4-5

* Fri May 7 2010 00:11:15 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package acpid
